Package org.apache.wiki.tags

## Class PluginTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.wiki.tags.WikiBodyTag
      - - org.apache.wiki.tags.PluginTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class PluginTag
    extends WikiBodyTag

Inserts any Wiki plugin. The body of the tag becomes then the body for the plugin.

Attributes

- plugin - name of the plugin you want to insert.
- args - An argument string for the tag.

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiBodyTag

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`PluginTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doAfterBody()`
`int` `doEndTag()`
`int` `doWikiStartTag()` A local stub for doing tags.
`void` `release()`
`void` `setArgs​(java.lang.String a)` Set the argument string to the plugin.
`void` `setPlugin​(java.lang.String p)` Set the name of the plugin to execute.

### Methods inherited from class org.apache.wiki.tags.WikiBodyTag

`doCatch, doFinally, doStartTag`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

### Constructor Detail

#### PluginTag

    public PluginTag()

### Method Detail

#### release

    public void release()

Specified by:
  `release` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

#### setPlugin

    public void setPlugin​(java.lang.String p)

Set the name of the plugin to execute.

Parameters:
  `p` - Name of the plugin.

#### setArgs

    public void setArgs​(java.lang.String a)

Set the argument string to the plugin.

Parameters:
  `a` - Arguments string.

#### doWikiStartTag

    public int doWikiStartTag()
                       throws javax.servlet.jsp.JspException,
                              java.io.IOException

A local stub for doing tags. This is just called after the local variables have been set.

Specified by:
  `doWikiStartTag` in class `WikiBodyTag`
Returns:
  As doStartTag()
Throws:
  `javax.servlet.jsp.JspException`
  `java.io.IOException`

#### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`

#### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

Specified by:
  `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
Overrides:
  `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`